Page MenuHomePhabricator

Changes related to tooling::applyAllReplacements interface change in D21601.
ClosedPublic

Authored by ioeric on Jun 22 2016, 2:06 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

ioeric updated this revision to Diff 61519.Jun 22 2016, 2:06 AM
ioeric retitled this revision from to Changes related to tooling::applyAllReplacements interface change in D21601..
ioeric updated this object.
ioeric added reviewers: klimek, djasper.
ioeric added a subscriber: cfe-commits.
ioeric updated this revision to Diff 61782.Jun 24 2016, 5:45 AM
  • Changes corresponding to new interfaces: formatReplacements and cleanupAroundReplacements.
ioeric updated this revision to Diff 61824.Jun 24 2016, 1:20 PM
  • Addressed reviewer's recomments in the other patch.
ioeric updated this revision to Diff 62352.Jun 30 2016, 5:03 AM
  • Always handle error.
klimek accepted this revision.Jul 4 2016, 6:50 AM
klimek edited edge metadata.

LG. Nice!

include-fixer/IncludeFixer.cpp
323–324 ↗(On Diff #62352)

Just return formatReplacements(...)?

This revision is now accepted and ready to land.Jul 4 2016, 6:50 AM
ioeric updated this revision to Diff 62685.Jul 4 2016, 7:10 AM
ioeric marked an inline comment as done.
ioeric edited edge metadata.
  • Addressed reviewer's comment.
ioeric updated this revision to Diff 63504.Jul 11 2016, 6:51 AM
  • Merged with origin/master. Resolved a few conflicts.
This revision was automatically updated to reflect the committed changes.